[Suse8.2] Ruby 1.8 installieren

Diskutiere [Suse8.2] Ruby 1.8 installieren im SuSE / OpenSuSE Forum im Bereich Linux Distributionen; Bei der Installation bekomme ich folgende Fehlermledung: gcc -g -O2 -I. -I. -c parse.c parse.y: In function `ruby_yylex': parse.y:4365:...

  1. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
    Bei der Installation bekomme ich folgende Fehlermledung:

    Code:
    gcc -g -O2  -I. -I. -c parse.c
    parse.y: In function `ruby_yylex':
    parse.y:4365: warning: assignment makes pointer from integer without a cast
    parse.y:4368: dereferencing pointer to incomplete type
    parse.y:4370: dereferencing pointer to incomplete type
    parse.y:4372: dereferencing pointer to incomplete type
    parse.y:4381: dereferencing pointer to incomplete type
    parse.y:4383: dereferencing pointer to incomplete type
    parse.y:4383: dereferencing pointer to incomplete type
    parse.y:4385: dereferencing pointer to incomplete type
    make: *** [parse.o] Error 1
    
    Wer ne Idee?

    thx Benjamin
     
  2. Steve

    Steve 13te

    Dabei seit:
    13.04.2002
    Beiträge:
    381
    Zustimmungen:
    0
    hi,

    sieht ein bischen nach einem Fehler im Quellcode aus. Gibt es für Suse keine RPMs?
     
  3. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
    Hmm, ich glaub mal weniger, dass die Fehlerhaftencode ins Netz stellen. Hab mir sogar von zwei verschiedenen Servern gezogen. RPMs scheinen ja unter SuSe allgemein nicht richtig zu funktionieren :D
     
  4. Steve

    Steve 13te

    Dabei seit:
    13.04.2002
    Beiträge:
    381
    Zustimmungen:
    0
    http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/21447

    ok, du scheinst schon mal nicht der einzige mit dem Problem zu sein. Wenn man jetzt noch lesen könnte, was die schreiben. *g*

    Ich glaube auch weniger an fehlerhaften Code. Vielleicht liegt es auch am GCC???? Ich habe keine Ahnung.

    Steve

    PS Tipp: NImm die RPMs ;-) *g*
     
  5. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
    Mit den RPMs hab ich getest. Natürlich geht das auch nicht. Hmm, an gcc-Version evt. hab 3.2.

    Naja, torztdem danke für deine Hilfe.
     
  6. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
    Hab dem Typ einfach mal ne Email geschickt :D
     
  7. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
  8. bunny

    bunny Mitglied

    Dabei seit:
    01.02.2003
    Beiträge:
    34
    Zustimmungen:
    0
    Ort:
    Drolshagen
Thema:

[Suse8.2] Ruby 1.8 installieren

Die Seite wird geladen...

[Suse8.2] Ruby 1.8 installieren - Ähnliche Themen

  1. Ruby in Version 2.3 erschienen

    Ruby in Version 2.3 erschienen: Die freie Skriptsprache Ruby ist in einer neuen Version verfügbar. Version 2.3.0 bringt nach Angaben der Entwickler viele Neuerungen, darunter ein...
  2. Ruby 2.2.0 einsatzbereit

    Ruby 2.2.0 einsatzbereit: Die Ruby-Entwickler haben ihre freie Skriptsprache in der Version 2.2 freigegeben. Seit der letzten Version kamen mehrere interessante Neuerungen...
  3. Ruby on Rails 4.2 freigegeben

    Ruby on Rails 4.2 freigegeben: Die Rails-Entwickler haben die Version 4.2 des auf Ruby beruhenden Web-Frameworks veröffentlicht. Die neue Version kommt mit nicht allzu vielen...
  4. Ruby on Rails 4.1 freigegeben

    Ruby on Rails 4.1 freigegeben: Die Rails-Entwickler haben die Version 4.1 des auf Ruby beruhenden Web-Frameworks veröffentlicht. Die neue Version kommt mit vielen Neuerungen und...
  5. Ruby on Rails 4.0 freigegeben

    Ruby on Rails 4.0 freigegeben: Die Rails-Entwickler haben die Version 4.0 des auf Ruby beruhenden Web-Frameworks veröffentlicht. Die neue Version kommt mit vielen Neuerungen und...